/*sha256=97567FE5DA5E59580CE824F846EF480DFA7408FB3421E21DB18BC9B7BA9B977E*/
/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2015, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/

/*------------------------------------------------------------------------------
IFXConfigWizard output file
created on:Mi Jul 6 15:53:42 2022
------------------------------------------------------------------------------*/

#ifndef _ADC1_DEFINES_H
#define _ADC1_DEFINES_H

#ifndef IFXConfigWizard_Version
  #define IFXConfigWizard_Version 1.8.7
#endif

/* XML Version 1.3.4 */
#ifndef ADC1_XML_VERSION
  #define ADC1_XML_VERSION 10304
#endif

#ifndef ADC1_CH0_LOTH_VOLT
  #define ADC1_CH0_LOTH_VOLT 6.4
#endif

#ifndef ADC1_CH0_UPTH_VOLT
  #define ADC1_CH0_UPTH_VOLT 24
#endif

#ifndef ADC1_CH10_LOTH_VOLT
  #define ADC1_CH10_LOTH_VOLT 2.5
#endif

#ifndef ADC1_CH10_UPTH_VOLT
  #define ADC1_CH10_UPTH_VOLT 2.5
#endif

#ifndef ADC1_CH11_LOTH_VOLT
  #define ADC1_CH11_LOTH_VOLT 2.5
#endif

#ifndef ADC1_CH11_UPTH_VOLT
  #define ADC1_CH11_UPTH_VOLT 2.5
#endif

#ifndef ADC1_CH1_LOTH_VOLT
  #define ADC1_CH1_LOTH_VOLT 6.4
#endif

#ifndef ADC1_CH1_UPTH_VOLT
  #define ADC1_CH1_UPTH_VOLT 24
#endif

#ifndef ADC1_CH2_LOTH_VOLT
  #define ADC1_CH2_LOTH_VOLT 5.4
#endif

#ifndef ADC1_CH2_UPTH_VOLT
  #define ADC1_CH2_UPTH_VOLT 8.1
#endif

#ifndef ADC1_CH3_LOTH_VOLT
  #define ADC1_CH3_LOTH_VOLT 5.4
#endif

#ifndef ADC1_CH3_UPTH_VOLT
  #define ADC1_CH3_UPTH_VOLT 8.1
#endif

#ifndef ADC1_CH4_LOTH_VOLT
  #define ADC1_CH4_LOTH_VOLT 5.4
#endif

#ifndef ADC1_CH4_UPTH_VOLT
  #define ADC1_CH4_UPTH_VOLT 8.1
#endif

#ifndef ADC1_CH5_LOTH_VOLT
  #define ADC1_CH5_LOTH_VOLT 5.4
#endif

#ifndef ADC1_CH5_UPTH_VOLT
  #define ADC1_CH5_UPTH_VOLT 8.1
#endif

#ifndef ADC1_CH6_LOTH_VOLT
  #define ADC1_CH6_LOTH_VOLT 5.4
#endif

#ifndef ADC1_CH6_UPTH_VOLT
  #define ADC1_CH6_UPTH_VOLT 8.1
#endif

#ifndef ADC1_CH7_LOTH_VOLT
  #define ADC1_CH7_LOTH_VOLT 2.5
#endif

#ifndef ADC1_CH7_UPTH_VOLT
  #define ADC1_CH7_UPTH_VOLT 2.5
#endif

#ifndef ADC1_CH8_LOTH_VOLT
  #define ADC1_CH8_LOTH_VOLT 2.5
#endif

#ifndef ADC1_CH8_UPTH_VOLT
  #define ADC1_CH8_UPTH_VOLT 2.5
#endif

#ifndef ADC1_CH9_LOTH_VOLT
  #define ADC1_CH9_LOTH_VOLT 2.5
#endif

#ifndef ADC1_CH9_UPTH_VOLT
  #define ADC1_CH9_UPTH_VOLT 2.5
#endif

/*ADC1_CHX_EIM: (0<<11)|(0<<16)|0|(0<<8)*/
#ifndef ADC1_CHX_EIM
  #define ADC1_CHX_EIM (0x0u)
#endif

/*ADC1_CHX_ESM: (0<<30)|(0<<16)|0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<\
<7)|(0<<8)|(0<<9)|(0<<10)|(0<<11)*/
#ifndef ADC1_CHX_ESM
  #define ADC1_CHX_ESM (0x0u)
#endif

#ifndef ADC1_CLK
  #define ADC1_CLK 25
#endif

/*ADC1_CTRL2: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|(0<<9)|\
(0<<10)|(0<<11)*/
#ifndef ADC1_CTRL2
  #define ADC1_CTRL2 (0x0u)
#endif

/*ADC1_CTRL3: 0|(0<<16)|(4<<8)|(0<<1)*/
#ifndef ADC1_CTRL3
  #define ADC1_CTRL3 (0x400u)
#endif

/*ADC1_CTRL5: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|(0<<9)|\
(0<<10)|(0<<11)*/
#ifndef ADC1_CTRL5
  #define ADC1_CTRL5 (0x0u)
#endif

#ifndef ADC1_DCH1_LOTH_VOLT
  #define ADC1_DCH1_LOTH_VOLT 5.4
#endif

#ifndef ADC1_DCH1_UPTH_VOLT
  #define ADC1_DCH1_UPTH_VOLT 8.1
#endif

#ifndef ADC1_DCH2_LOTH_VOLT
  #define ADC1_DCH2_LOTH_VOLT 5.4
#endif

#ifndef ADC1_DCH2_UPTH_VOLT
  #define ADC1_DCH2_UPTH_VOLT 8.1
#endif

#ifndef ADC1_DCH3_LOTH_VOLT
  #define ADC1_DCH3_LOTH_VOLT 5.4
#endif

#ifndef ADC1_DCH3_UPTH_VOLT
  #define ADC1_DCH3_UPTH_VOLT 8.1
#endif

#ifndef ADC1_DCH4_LOTH_VOLT
  #define ADC1_DCH4_LOTH_VOLT 5.4
#endif

#ifndef ADC1_DCH4_UPTH_VOLT
  #define ADC1_DCH4_UPTH_VOLT 8.1
#endif

/*ADC1_DCHTH1_4_LOWER: 44|(44<<8)|(44<<16)|(44<<24)*/
#ifndef ADC1_DCHTH1_4_LOWER
  #define ADC1_DCHTH1_4_LOWER (0x2C2C2C2Cu)
#endif

/*ADC1_DCHTH1_4_UPPER: 66|(66<<8)|(66<<16)|(66<<24)*/
#ifndef ADC1_DCHTH1_4_UPPER
  #define ADC1_DCHTH1_4_UPPER (0x42424242u)
#endif

/*ADC1_DIFFCH_OUT1: (0<<16)*/
#ifndef ADC1_DIFFCH_OUT1
  #define ADC1_DIFFCH_OUT1 (0x0u)
#endif

/*ADC1_DIFFCH_OUT2: (0<<16)*/
#ifndef ADC1_DIFFCH_OUT2
  #define ADC1_DIFFCH_OUT2 (0x0u)
#endif

/*ADC1_DIFFCH_OUT3: (0<<16)*/
#ifndef ADC1_DIFFCH_OUT3
  #define ADC1_DIFFCH_OUT3 (0x0u)
#endif

/*ADC1_DIFFCH_OUT4: (0<<16)*/
#ifndef ADC1_DIFFCH_OUT4
  #define ADC1_DIFFCH_OUT4 (0x0u)
#endif

/*ADC1_DUIN_SEL: 0|(0<<8)|(0<<16)|(0<<24)*/
#ifndef ADC1_DUIN_SEL
  #define ADC1_DUIN_SEL (0x0u)
#endif

/*ADC1_FILTCOEFF0_11: 0|(0<<2)|(0<<4)|(0<<6)|(0<<8)|(0<<10)|(0<<12)|(0<<14)|(0<\
<16)|(0<<18)|(0<<20)|(0<<22)*/
#ifndef ADC1_FILTCOEFF0_11
  #define ADC1_FILTCOEFF0_11 (0x0u)
#endif

/*ADC1_FILT_LO_CTRL: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|\
(0<<9)|(0<<10)|(0<<11)*/
#ifndef ADC1_FILT_LO_CTRL
  #define ADC1_FILT_LO_CTRL (0x0u)
#endif

/*ADC1_FILT_OUT0: (0<<16)*/
#ifndef ADC1_FILT_OUT0
  #define ADC1_FILT_OUT0 (0x0u)
#endif

/*ADC1_FILT_OUT1: (0<<16)*/
#ifndef ADC1_FILT_OUT1
  #define ADC1_FILT_OUT1 (0x0u)
#endif

/*ADC1_FILT_OUT10: (0<<16)*/
#ifndef ADC1_FILT_OUT10
  #define ADC1_FILT_OUT10 (0x0u)
#endif

/*ADC1_FILT_OUT11: (0<<16)*/
#ifndef ADC1_FILT_OUT11
  #define ADC1_FILT_OUT11 (0x0u)
#endif

/*ADC1_FILT_OUT2: (0<<16)*/
#ifndef ADC1_FILT_OUT2
  #define ADC1_FILT_OUT2 (0x0u)
#endif

/*ADC1_FILT_OUT3: (0<<16)*/
#ifndef ADC1_FILT_OUT3
  #define ADC1_FILT_OUT3 (0x0u)
#endif

/*ADC1_FILT_OUT4: (0<<16)*/
#ifndef ADC1_FILT_OUT4
  #define ADC1_FILT_OUT4 (0x0u)
#endif

/*ADC1_FILT_OUT5: (0<<16)*/
#ifndef ADC1_FILT_OUT5
  #define ADC1_FILT_OUT5 (0x0u)
#endif

/*ADC1_FILT_OUT6: (0<<16)*/
#ifndef ADC1_FILT_OUT6
  #define ADC1_FILT_OUT6 (0x0u)
#endif

/*ADC1_FILT_OUT7: (0<<16)*/
#ifndef ADC1_FILT_OUT7
  #define ADC1_FILT_OUT7 (0x0u)
#endif

/*ADC1_FILT_OUT8: (0<<16)*/
#ifndef ADC1_FILT_OUT8
  #define ADC1_FILT_OUT8 (0x0u)
#endif

/*ADC1_FILT_OUT9: (0<<16)*/
#ifndef ADC1_FILT_OUT9
  #define ADC1_FILT_OUT9 (0x0u)
#endif

/*ADC1_FILT_UP_CTRL: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|\
(0<<9)|(0<<10)|(0<<11)*/
#ifndef ADC1_FILT_UP_CTRL
  #define ADC1_FILT_UP_CTRL (0x0u)
#endif

/*ADC1_IRQEN_1: (0<<25)|(0<<24)|(0<<27)|(0<<26)|(0<<29)|(0<<28)|(0<<31)|(0<<30)\
|0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|(0<<9)|(0<<10)|(0<<1\
1)|(0<<12)|(0<<16)|(0<<17)*/
#ifndef ADC1_IRQEN_1
  #define ADC1_IRQEN_1 (0x0u)
#endif

/*ADC1_IRQEN_2: (0<<17)|(0<<1)|(0<<18)|(0<<2)|(0<<19)|(0<<3)|(0<<20)|(0<<4)|(0<\
<21)|(0<<5)|(0<<22)|(0<<6)|(0<<23)|(0<<7)|(0<<24)|(0<<8)|(0<<25)|(0<<9)|(0<<26)\
|(0<<10)|(0<<27)|(0<<11)*/
#ifndef ADC1_IRQEN_2
  #define ADC1_IRQEN_2 (0x0u)
#endif

#ifndef ADC1_MODE_SELECT
  #define ADC1_MODE_SELECT 1
#endif

#ifndef ADC1_MSG1
  #define ADC1_MSG1 13
#endif

#ifndef ADC1_MSG2
  #define ADC1_MSG2 6
#endif

/*ADC1_SQ0_1: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|(0<<9)|\
(0<<10)|(0<<11)|(0<<16)|(0<<17)|(0<<18)|(0<<19)|(0<<20)|(0<<21)|(0<<22)|(0<<23)\
|(0<<24)|(0<<25)|(0<<26)|(0<<27)*/
#ifndef ADC1_SQ0_1
  #define ADC1_SQ0_1 (0x0u)
#endif

/*ADC1_SQ10_11: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|(0<<9\
)|(0<<10)|(0<<11)|(0<<16)|(0<<17)|(0<<18)|(0<<19)|(0<<20)|(0<<21)|(0<<22)|(0<<2\
3)|(0<<24)|(0<<25)|(0<<26)|(0<<27)*/
#ifndef ADC1_SQ10_11
  #define ADC1_SQ10_11 (0x0u)
#endif

/*ADC1_SQ2_3: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|(0<<9)|\
(0<<10)|(0<<11)|(0<<16)|(0<<17)|(0<<18)|(0<<19)|(0<<20)|(0<<21)|(0<<22)|(0<<23)\
|(0<<24)|(0<<25)|(0<<26)|(0<<27)*/
#ifndef ADC1_SQ2_3
  #define ADC1_SQ2_3 (0x0u)
#endif

/*ADC1_SQ4_5: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|(0<<9)|\
(0<<10)|(0<<11)|(0<<16)|(0<<17)|(0<<18)|(0<<19)|(0<<20)|(0<<21)|(0<<22)|(0<<23)\
|(0<<24)|(0<<25)|(0<<26)|(0<<27)*/
#ifndef ADC1_SQ4_5
  #define ADC1_SQ4_5 (0x0u)
#endif

/*ADC1_SQ6_7: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|(0<<9)|\
(0<<10)|(0<<11)|(0<<16)|(0<<17)|(0<<18)|(0<<19)|(0<<20)|(0<<21)|(0<<22)|(0<<23)\
|(0<<24)|(0<<25)|(0<<26)|(0<<27)*/
#ifndef ADC1_SQ6_7
  #define ADC1_SQ6_7 (0x0u)
#endif

/*ADC1_SQ8_9: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<6)|(0<<7)|(0<<8)|(0<<9)|\
(0<<10)|(0<<11)|(0<<16)|(0<<17)|(0<<18)|(0<<19)|(0<<20)|(0<<21)|(0<<22)|(0<<23)\
|(0<<24)|(0<<25)|(0<<26)|(0<<27)*/
#ifndef ADC1_SQ8_9
  #define ADC1_SQ8_9 (0x0u)
#endif

/*ADC1_TH0_3_LOWER: 63|(63<<8)|(44<<16)|(44<<24)*/
#ifndef ADC1_TH0_3_LOWER
  #define ADC1_TH0_3_LOWER (0x2C2C3F3Fu)
#endif

/*ADC1_TH0_3_UPPER: 237|(237<<8)|(66<<16)|(66<<24)*/
#ifndef ADC1_TH0_3_UPPER
  #define ADC1_TH0_3_UPPER (0x4242EDEDu)
#endif

/*ADC1_TH4_7_LOWER: 44|(44<<8)|(44<<16)|(115<<24)*/
#ifndef ADC1_TH4_7_LOWER
  #define ADC1_TH4_7_LOWER (0x732C2C2Cu)
#endif

/*ADC1_TH4_7_UPPER: 66|(66<<8)|(66<<16)|(115<<24)*/
#ifndef ADC1_TH4_7_UPPER
  #define ADC1_TH4_7_UPPER (0x73424242u)
#endif

/*ADC1_TH8_11_LOWER: 115|(115<<8)|(115<<16)|(115<<24)*/
#ifndef ADC1_TH8_11_LOWER
  #define ADC1_TH8_11_LOWER (0x73737373u)
#endif

/*ADC1_TH8_11_UPPER: 115|(115<<8)|(115<<16)|(115<<24)*/
#ifndef ADC1_TH8_11_UPPER
  #define ADC1_TH8_11_UPPER (0x73737373u)
#endif

/*SCU_MODPISEL4: 0|(1<<8)|(3<<16)|(4<<24)*/
#ifndef SCU_MODPISEL4
  #define SCU_MODPISEL4 (0x4030100u)
#endif

#ifndef SWM_SM_CHANNELS
  #define SWM_SM_CHANNELS 0
#endif


#endif
